
CREATE TABLE "public"."api_info" (
  "id" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "method" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "path" varchar(100) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "type" varchar(5) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "service" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "group_name" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "editor" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "name" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "datasource" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "script" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "options" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "create_time" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "update_time" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "full_path" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL,
  "directory_id" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL,
  CONSTRAINT "api_info_pkey" PRIMARY KEY ("id")
)
;

CREATE TABLE "public"."api_info_history" (
  "id" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "api_info_id" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "method" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "path" varchar(100) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "type" varchar(5) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "service" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "group_name" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "editor" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "name" varchar(200) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "datasource" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "script" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "options" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "create_time" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "full_path" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL,
  "directory_id" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL,
  CONSTRAINT "api_info_history_pkey" PRIMARY KEY ("id")
)
;

CREATE TABLE "public"."api_example" (
  "id" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "api_info_id" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "method" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "url" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "request_header" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "request_body" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "response_header" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "response_body" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "status" varchar(10) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "elapsed_time" int4 DEFAULT NULL,
  "options" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "editor" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "create_time" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  CONSTRAINT "api_example_pkey" PRIMARY KEY ("id")
)
;

CREATE TABLE "public"."api_config" (
  "id" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "service" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "config_context" text COLLATE "pg_catalog"."default" DEFAULT NULL,
  "type" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL,
  CONSTRAINT "api_config_pkey" PRIMARY KEY ("id")
)
;
  
CREATE TABLE "public"."api_directory" (
  "id" varchar(45) COLLATE "pg_catalog"."default" NOT NULL DEFAULT NULL,
  "name" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL,
  "path" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL,
  "parent_id" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL,
  "service" varchar(45) COLLATE "pg_catalog"."default" DEFAULT NULL,
  CONSTRAINT "api_directory_pkey" PRIMARY KEY ("id")
)
;
